Internationalized Domain Names for Applications 2008 (IDNA2008) and Unicode 15.0.0
Internet-Draft draft-faltstrom-unicode-15-00
Patrik Faltstrom
Netnod
paf@netnod.se
9 June 2024
General
Internet Engineering Task Force
IDN
IDNA
IDNA2008
This document describes the changes between Unicode 12.0.0 and Unicode 15.0.0 in the context of IDNA2008. Some additions and changes have been made in the Unicode Standard that affect the values produced by the algorithm IDNA2008 specifies. The review assigns the temporary status "under review" to certain code points. This is added as exceptions to the algorithm for IDNA2008 that allows adding exceptions to the algorithm for backward compatibility exceptions. This document provides the necessary tables to IANA to make its database consistent with Unicode 15.0.0.
Introduction
The current version of Internationalized Domain Names for Applications (IDNA) was initiated in 2008, and despite not being completed until 2010, is widely known as "IDNA2008". It is specified in the series of documents listed in Section 2. The IDNA2008 standard includes an algorithm by which a derived property value is calculated based on the properties defined from the Unicode Standard.
The derived property values that can be calculated are defined in RFC 5892. Below is a summary to aid in the reading of this document. For definition of the terms, please see RFC 5892.
- PROTOCOL VALID: Those that are allowed to be used in IDNs. Code points with this property value are permitted for general use in IDNs. However, that a label consists only of code points that have this property value does not imply that the label can be used in DNS. The abbreviated term PVALID is used to refer to this value.
- CONTEXTUAL RULE REQUIRED: Some characteristics of the character, such as it being invisible in certain contexts or problematic in others, require that it not be used in labels unless specific other characters or properties are present. The abbreviated term CONTEXT is used to refer to this value. As explained in RFC 5892 CONTEXT is in turn divided into CONTEXTJ and CONTEXTO.
- DISALLOWED: Those that should clearly not be included in IDNs. Code points with this property value are not permitted in IDNs.
- UNASSIGNED: Those code points that are not designated (i.e., are unassigned) in the Unicode Standard.
In section 3, "The Review Model", of RFC 8753 it is clarified that the review can be made in two steps, where the first is an algorithmic based review, and the second is a manual review of specific code points. This document adds the temporary value "UNDER REVIEW" as exceptions for certain code points as a way to speed up review of new Unicode versions.

IDNA2008 Documents
IDNA2008 consists of the following documents. The documents in the set have informal names.
- Internationalized Domain Names for Applications (IDNA): Definitions and Document Framework, informally called "Defs" or "Definitions", contains definitions and other material that are needed for understanding other documents in the set.
- Internationalized Domain Names in Applications (IDNA): Protocol, informally called "Protocol", describes the core IDNA2008 protocol and its operations. It needs to be interpreted in combination with the Bidi document (described below).
- The Unicode Code Points and Internationalized Domain Names for Applications (IDNA), informally called "Tables", lists the categories and rules that identify the code points allowed in a label written in native character form (called a "U-label"), and is based on Unicode 5.2.0 code point assignments and additional rules unique to IDNA2008. The Unicode-based rules in RFC 5892 are expected to be stable across Unicode updates and hence independent of Unicode versions. RFC 5892 obsoletes RFC 3491, and in particular the use of the tables to which RFC 3491 refers.
- Right-to-Left Scripts for Internationalized Domain Names for Applications (IDNA), informally called "Bidi", specifies special rules for labels that contain characters that are written from right to left.
- Internationalized Domain Names for Applications (IDNA): Background, Explanation, and Rationale, informally called "Rationale", provides an overview of the protocol and associated tables, and gives explanatory material and some rationale for the decisions that led to IDNA2008. It also contains advice for DNS registry operators and others who use Internationalized Domain Names (IDNs).
- Mapping Characters for Internationalized Domain Names in Applications (IDNA) 2008, informally called "Mapping", discusses the issue of mapping characters into other characters and provides guidance for doing so when that is appropriate. RFC 5895 provides advice only and is not a required part of IDNA.
Algorithmic review
11258 code points have changed between Unicode 12.0.0 and Unicode 15.0.0.
All code points that changed had in 12.0.0 derived property value UNASSIGNED.
10517 of these 11258 code points have in 15.0.0 derived property value PVALID.
741 of these 11258 code points have in 15.0.0 derived property value DISALLOWED.
One (1) code point having derived property value PVALID had its general category changed from Non-Spacing-Mark to Letter. See Appendix A.
The number of code points with general category Non-Spacing-Mark having derived property value PVALID increased from 1490 to 1648, an increase of 158.
This implies 159 code points are added with general category Non-Spacing-Mark with derived property value PVALID. See Appendix B.
The number of code points with derived property value PVALID that have a decomposition where all code points have derived property value PVALID and at least one of these have general category Non-Spacing-Mark, is unchanged at 440. See Appendix C.
One example is U+00E0 LATIN SMALL LETTER A WITH GRAVE which has a decomposition of U+0061 LATIN SMALL LETTER A followed by U+0300 COMBINING GRAVE ACCENT. All three code points involved have derived property value PVALID and one code point, U+0300, has the general category Non-Spacing-Mark.
When looking at the end of the name of code points with the general category Non-Spacing-Mark one can for example from the code point U+06E7 ARABIC SMALL HIGH YEH extract the string "SMALL HIGH YEH". If we search for code points that include that string, we find U+08CB ARABIC SMALL HIGH YEH BARREE WITH TWO DOTS BELOW. If both of these have derived property value PVALID, we draw the conclusion that they have names that are related to each other.
The number of code points with such relationships between the names have increased from 2347 to 2429 (an increase with 82). 75 of those 82 code points are added between Unicode 12.0.0 and 15.0.0 and can be found in Appendix D.
The conclusion is that code points should be manually inspected where the derived property value has changed to PVALID that either:
- Is of general category Non-Spacing-Mark, see Appendix B, 159 code points
- Has a name related to other code points, see appendix D, 75 code points
In total, this leaves 197 code points with derived property value PVALID that are recommended for manual inspection, and because of that be registered as "UNDER REVIEW" in the IANA tables according to Section 3.2 in RFC8753. See Appendix E.
It should be noted that 37 code points are in both categories.
The rest of the code points in Unicode 15.0.0 are suggested to automatically be accepted given the derived property value they are given using the IDNA 2008 algorithm as defined in RFC5892 and RFC9233.
Update to the IDNA2008 algorithm
To stay up to date with the IDNA2008 algorithm, it is recommended to add the codepoints in Appendix E to the step Exceptions (F), with the derived property value "UNDER REVIEW".
As long as the derived property value is "UNDER REVIEW" it is recommended to treat the code point as "DISALLOWED" when creating strings, and "PVALID" when receiving strings.
IANA Considerations
This document includes instructions to IANA to assign the derived property value "UNDER REVIEW" to the code points in Appendix E.
Other code points are to follow the original algorithm in IDNA2008.
Security Considerations
There are code points that are added that are compositions of a number of other code points. If the same character can be rendered in multiple ways, that implies equality might not be what the user expects. Specifically when comparing a lookup string with data that is stored far back in history.
It might also be the case that various code points are invisible when being rendered, specifically in combination of other code points, and because of this two rendered strings might look the same even if the strings are different.
Because of this, it is recommended to be extremely conservative when choosing what code points are allowed in strings, specifically strings that can be protocol identifiers, passwords or part of those.
References
Normative References
Informative References
[Unicode-5.2.0]

The Unicode Standard, Version 5.2.0
The Unicode Consortium
October 2009
The Unicode Standard, Version 5.2.0 ISBN 978-1-936213-00-9
Non-Spacing-Mark to Letter
Code points that with derived property value PVALID that have had its general category changed from Non-Spacing-Mark to Letter.

U+1734;HANUNOO SIGN PAMUDPOD

Non-Spacing-Mark to Letter
Code points that with derived property value PVALID that have had its general category changed from Non-Spacing-Mark to Letter.

U+0898;ARABIC SMALL HIGH WORD AL-JUZ
U+0899;ARABIC SMALL LOW WORD ISHMAAM
U+089A;ARABIC SMALL LOW WORD IMAALA
U+089B;ARABIC SMALL LOW WORD TASHEEL
U+089C;ARABIC MADDA WAAJIB
U+089D;ARABIC SUPERSCRIPT ALEF MOKHASSAS
U+089E;ARABIC DOUBLED MADDA
U+089F;ARABIC HALF MADDA OVER MADDA
U+08CA;ARABIC SMALL HIGH FARSI YEH
U+08CB;ARABIC SMALL HIGH YEH BARREE WITH TWO DOTS BELOW
U+08CC;ARABIC SMALL HIGH WORD SAH
U+08CD;ARABIC SMALL HIGH ZAH
U+08CE;ARABIC LARGE ROUND DOT ABOVE
U+08CF;ARABIC LARGE ROUND DOT BELOW
U+08D0;ARABIC SUKUN BELOW
U+08D1;ARABIC LARGE CIRCLE BELOW
U+08D2;ARABIC LARGE ROUND DOT INSIDE CIRCLE BELOW
U+0B55;ORIYA SIGN OVERLINE
U+0C3C;TELUGU SIGN NUKTA
U+0D81;SINHALA SIGN CANDRABINDU
U+0ECE;LAO YAMAKKAN
U+1ABF;COMBINING LATIN SMALL LETTER W BELOW
U+1AC0;COMBINING LATIN SMALL LETTER TURNED W BELOW
U+1AC1;COMBINING LEFT PARENTHESIS ABOVE LEFT
U+1AC2;COMBINING RIGHT PARENTHESIS ABOVE RIGHT
U+1AC3;COMBINING LEFT PARENTHESIS BELOW LEFT
U+1AC4;COMBINING RIGHT PARENTHESIS BELOW RIGHT
U+1AC5;COMBINING SQUARE BRACKETS ABOVE
U+1AC6;COMBINING NUMBER SIGN ABOVE
U+1AC7;COMBINING INVERTED DOUBLE ARCH ABOVE
U+1AC8;COMBINING PLUS SIGN ABOVE
U+1AC9;COMBINING DOUBLE PLUS SIGN ABOVE
U+1ACA;COMBINING DOUBLE PLUS SIGN BELOW
U+1ACB;COMBINING TRIPLE ACUTE ACCENT
U+1ACC;COMBINING LATIN SMALL LETTER INSULAR G
U+1ACD;COMBINING LATIN SMALL LETTER INSULAR R
U+1ACE;COMBINING LATIN SMALL LETTER INSULAR T
U+1DFA;COMBINING DOT BELOW LEFT
U+A82C;SYLOTI NAGRI SIGN ALTERNATE HASANTA
U+10EAB;YEZIDI COMBINING HAMZA MARK
U+10EAC;YEZIDI COMBINING MADDA MARK
U+10EFD;ARABIC SMALL LOW WORD SAKTA
U+10EFE;ARABIC SMALL LOW WORD QASR
U+10EFF;ARABIC SMALL LOW WORD MADDA
U+10F82;OLD UYGHUR COMBINING DOT ABOVE
U+10F83;OLD UYGHUR COMBINING DOT BELOW
U+10F84;OLD UYGHUR COMBINING TWO DOTS ABOVE
U+10F85;OLD UYGHUR COMBINING TWO DOTS BELOW
U+11070;BRAHMI SIGN OLD TAMIL VIRAMA
U+11073;BRAHMI VOWEL SIGN OLD TAMIL SHORT E
U+11074;BRAHMI VOWEL SIGN OLD TAMIL SHORT O
U+110C2;KAITHI VOWEL SIGN VOCALIC R
U+111CF;SHARADA SIGN INVERTED CANDRABINDU
U+11241;KHOJKI VOWEL SIGN VOCALIC R
U+1193B;DIVES AKURU SIGN ANUSVARA
U+1193C;DIVES AKURU SIGN CANDRABINDU
U+1193E;DIVES AKURU VIRAMA
U+11943;DIVES AKURU SIGN NUKTA
U+11F00;KAWI SIGN CANDRABINDU
U+11F01;KAWI SIGN ANUSVARA
U+11F36;KAWI VOWEL SIGN I
U+11F37;KAWI VOWEL SIGN II
U+11F38;KAWI VOWEL SIGN U
U+11F39;KAWI VOWEL SIGN UU
U+11F3A;KAWI VOWEL SIGN VOCALIC R
U+11F40;KAWI VOWEL SIGN EU
U+11F42;KAWI CONJOINER
U+13440;EGYPTIAN HIEROGLYPH MIRROR HORIZONTALLY
U+13447;EGYPTIAN HIEROGLYPH MODIFIER DAMAGED AT TOP START
U+13448;EGYPTIAN HIEROGLYPH MODIFIER DAMAGED AT BOTTOM START
U+13449;EGYPTIAN HIEROGLYPH MODIFIER DAMAGED AT START
U+1344A;EGYPTIAN HIEROGLYPH MODIFIER DAMAGED AT TOP END
U+1344B;EGYPTIAN HIEROGLYPH MODIFIER DAMAGED AT TOP
U+1344C;EGYPTIAN HIEROGLYPH MODIFIER DAMAGED AT BOTTOM START AND TOP END
U+1344D;EGYPTIAN HIEROGLYPH MODIFIER DAMAGED AT START AND TOP
U+1344E;EGYPTIAN HIEROGLYPH MODIFIER DAMAGED AT BOTTOM END
U+1344F;EGYPTIAN HIEROGLYPH MODIFIER DAMAGED AT TOP START AND BOTTOM END
U+13450;EGYPTIAN HIEROGLYPH MODIFIER DAMAGED AT BOTTOM
U+13451;EGYPTIAN HIEROGLYPH MODIFIER DAMAGED AT START AND BOTTOM
U+13452;EGYPTIAN HIEROGLYPH MODIFIER DAMAGED AT END
U+13453;EGYPTIAN HIEROGLYPH MODIFIER DAMAGED AT TOP AND END
U+13454;EGYPTIAN HIEROGLYPH MODIFIER DAMAGED AT BOTTOM AND END
U+13455;EGYPTIAN HIEROGLYPH MODIFIER DAMAGED
U+16FE4;KHITAN SMALL SCRIPT FILLER
U+1CF00;ZNAMENNY COMBINING MARK GORAZDO NIZKO S KRYZHEM ON LEFT
U+1CF01;ZNAMENNY COMBINING MARK NIZKO S KRYZHEM ON LEFT
U+1CF02;ZNAMENNY COMBINING MARK TSATA ON LEFT
U+1CF03;ZNAMENNY COMBINING MARK GORAZDO NIZKO ON LEFT
U+1CF04;ZNAMENNY COMBINING MARK NIZKO ON LEFT
U+1CF05;ZNAMENNY COMBINING MARK SREDNE ON LEFT
U+1CF06;ZNAMENNY COMBINING MARK MALO POVYSHE ON LEFT
U+1CF07;ZNAMENNY COMBINING MARK POVYSHE ON LEFT
U+1CF08;ZNAMENNY COMBINING MARK VYSOKO ON LEFT
U+1CF09;ZNAMENNY COMBINING MARK MALO POVYSHE S KHOKHLOM ON LEFT
U+1CF0A;ZNAMENNY COMBINING MARK POVYSHE S KHOKHLOM ON LEFT
U+1CF0B;ZNAMENNY COMBINING MARK VYSOKO S KHOKHLOM ON LEFT
U+1CF0C;ZNAMENNY COMBINING MARK GORAZDO NIZKO S KRYZHEM ON RIGHT
U+1CF0D;ZNAMENNY COMBINING MARK NIZKO S KRYZHEM ON RIGHT
U+1CF0E;ZNAMENNY COMBINING MARK TSATA ON RIGHT
U+1CF0F;ZNAMENNY COMBINING MARK GORAZDO NIZKO ON RIGHT
U+1CF10;ZNAMENNY COMBINING MARK NIZKO ON RIGHT
U+1CF11;ZNAMENNY COMBINING MARK SREDNE ON RIGHT
U+1CF12;ZNAMENNY COMBINING MARK MALO POVYSHE ON RIGHT
U+1CF13;ZNAMENNY COMBINING MARK POVYSHE ON RIGHT
U+1CF14;ZNAMENNY COMBINING MARK VYSOKO ON RIGHT
U+1CF15;ZNAMENNY COMBINING MARK MALO POVYSHE S KHOKHLOM ON RIGHT
U+1CF16;ZNAMENNY COMBINING MARK POVYSHE S KHOKHLOM ON RIGHT
U+1CF17;ZNAMENNY COMBINING MARK VYSOKO S KHOKHLOM ON RIGHT
U+1CF18;ZNAMENNY COMBINING MARK TSATA S KRYZHEM
U+1CF19;ZNAMENNY COMBINING MARK MALO POVYSHE S KRYZHEM
U+1CF1A;ZNAMENNY COMBINING MARK STRANNO MALO POVYSHE
U+1CF1B;ZNAMENNY COMBINING MARK POVYSHE S KRYZHEM
U+1CF1C;ZNAMENNY COMBINING MARK POVYSHE STRANNO
U+1CF1D;ZNAMENNY COMBINING MARK VYSOKO S KRYZHEM
U+1CF1E;ZNAMENNY COMBINING MARK MALO POVYSHE STRANNO
U+1CF1F;ZNAMENNY COMBINING MARK GORAZDO VYSOKO
U+1CF20;ZNAMENNY COMBINING MARK ZELO
U+1CF21;ZNAMENNY COMBINING MARK ON
U+1CF22;ZNAMENNY COMBINING MARK RAVNO
U+1CF23;ZNAMENNY COMBINING MARK TIKHAYA
U+1CF24;ZNAMENNY COMBINING MARK BORZAYA
U+1CF25;ZNAMENNY COMBINING MARK UDARKA
U+1CF26;ZNAMENNY COMBINING MARK PODVERTKA
U+1CF27;ZNAMENNY COMBINING MARK LOMKA
U+1CF28;ZNAMENNY COMBINING MARK KUPNAYA
U+1CF29;ZNAMENNY COMBINING MARK KACHKA
U+1CF2A;ZNAMENNY COMBINING MARK ZEVOK
U+1CF2B;ZNAMENNY COMBINING MARK SKOBA
U+1CF2C;ZNAMENNY COMBINING MARK RAZSEKA
U+1CF2D;ZNAMENNY COMBINING MARK KRYZH ON LEFT
U+1CF30;ZNAMENNY COMBINING TONAL RANGE MARK MRACHNO
U+1CF31;ZNAMENNY COMBINING TONAL RANGE MARK SVETLO
U+1CF32;ZNAMENNY COMBINING TONAL RANGE MARK TRESVETLO
U+1CF33;ZNAMENNY COMBINING MARK ZADERZHKA
U+1CF34;ZNAMENNY COMBINING MARK DEMESTVENNY ZADERZHKA
U+1CF35;ZNAMENNY COMBINING MARK OTSECHKA
U+1CF36;ZNAMENNY COMBINING MARK PODCHASHIE
U+1CF37;ZNAMENNY COMBINING MARK PODCHASHIE WITH VERTICAL STROKE
U+1CF38;ZNAMENNY COMBINING MARK CHASHKA
U+1CF39;ZNAMENNY COMBINING MARK CHASHKA POLNAYA
U+1CF3A;ZNAMENNY COMBINING MARK OBLACHKO
U+1CF3B;ZNAMENNY COMBINING MARK SOROCHYA NOZHKA
U+1CF3C;ZNAMENNY COMBINING MARK TOCHKA
U+1CF3D;ZNAMENNY COMBINING MARK DVOETOCHIE
U+1CF3E;ZNAMENNY COMBINING ATTACHING VERTICAL OMET
U+1CF3F;ZNAMENNY COMBINING MARK CURVED OMET
U+1CF40;ZNAMENNY COMBINING MARK KRYZH
U+1CF41;ZNAMENNY COMBINING LOWER TONAL RANGE INDICATOR
U+1CF42;ZNAMENNY PRIZNAK MODIFIER LEVEL-2
U+1CF43;ZNAMENNY PRIZNAK MODIFIER LEVEL-3
U+1CF44;ZNAMENNY PRIZNAK MODIFIER DIRECTION FLIP
U+1CF45;ZNAMENNY PRIZNAK MODIFIER KRYZH
U+1CF46;ZNAMENNY PRIZNAK MODIFIER ROG
U+1E08F;COMBINING CYRILLIC SMALL LETTER BYELORUSSIAN-UKRAINIAN I
U+1E2AE;TOTO SIGN RISING TONE
U+1E4EC;NAG MUNDARI SIGN MUHOR
U+1E4ED;NAG MUNDARI SIGN TOYOR
U+1E4EE;NAG MUNDARI SIGN IKIR
U+1E4EF;NAG MUNDARI SIGN SUTUH

Composed code points with Non-Spacing-Mark
Code points with derived property value PVALID that have a decomposition where all code points have derived property value PVALID and at least one of these have general category Non-Spacing-Mark.

U+00E0;LATIN SMALL LETTER A WITH GRAVE
U+00E1;LATIN SMALL LETTER A WITH ACUTE
U+00E2;LATIN SMALL LETTER A WITH CIRCUMFLEX
U+00E3;LATIN SMALL LETTER A WITH TILDE
U+00E4;LATIN SMALL LETTER A WITH DIAERESIS
U+00E5;LATIN SMALL LETTER A WITH RING ABOVE
U+00E7;LATIN SMALL LETTER C WITH CEDILLA
U+00E8;LATIN SMALL LETTER E WITH GRAVE
U+00E9;LATIN SMALL LETTER E WITH ACUTE
U+00EA;LATIN SMALL LETTER E WITH CIRCUMFLEX
U+00EB;LATIN SMALL LETTER E WITH DIAERESIS
U+00EC;LATIN SMALL LETTER I WITH GRAVE
U+00ED;LATIN SMALL LETTER I WITH ACUTE
U+00EE;LATIN SMALL LETTER I WITH CIRCUMFLEX
U+00EF;LATIN SMALL LETTER I WITH DIAERESIS
U+00F1;LATIN SMALL LETTER N WITH TILDE
U+00F2;LATIN SMALL LETTER O WITH GRAVE
U+00F3;LATIN SMALL LETTER O WITH ACUTE
U+00F4;LATIN SMALL LETTER O WITH CIRCUMFLEX
U+00F5;LATIN SMALL LETTER O WITH TILDE
U+00F6;LATIN SMALL LETTER O WITH DIAERESIS
U+00F9;LATIN SMALL LETTER U WITH GRAVE
U+00FA;LATIN SMALL LETTER U WITH ACUTE
U+00FB;LATIN SMALL LETTER U WITH CIRCUMFLEX
U+00FC;LATIN SMALL LETTER U WITH DIAERESIS
U+00FD;LATIN SMALL LETTER Y WITH ACUTE
U+00FF;LATIN SMALL LETTER Y WITH DIAERESIS
U+0101;LATIN SMALL LETTER A WITH MACRON
U+0103;LATIN SMALL LETTER A WITH BREVE
U+0105;LATIN SMALL LETTER A WITH OGONEK
U+0107;LATIN SMALL LETTER C WITH ACUTE
U+0109;LATIN SMALL LETTER C WITH CIRCUMFLEX
U+010B;LATIN SMALL LETTER C WITH DOT ABOVE
U+010D;LATIN SMALL LETTER C WITH CARON
U+010F;LATIN SMALL LETTER D WITH CARON
U+0113;LATIN SMALL LETTER E WITH MACRON
U+0115;LATIN SMALL LETTER E WITH BREVE
U+0117;LATIN SMALL LETTER E WITH DOT ABOVE
U+0119;LATIN SMALL LETTER E WITH OGONEK
U+011B;LATIN SMALL LETTER E WITH CARON
U+011D;LATIN SMALL LETTER G WITH CIRCUMFLEX
U+011F;LATIN SMALL LETTER G WITH BREVE
U+0121;LATIN SMALL LETTER G WITH DOT ABOVE
U+0123;LATIN SMALL LETTER G WITH CEDILLA
U+0125;LATIN SMALL LETTER H WITH CIRCUMFLEX
U+0129;LATIN SMALL LETTER I WITH TILDE
U+012B;LATIN SMALL LETTER I WITH MACRON
U+012D;LATIN SMALL LETTER I WITH BREVE
U+012F;LATIN SMALL LETTER I WITH OGONEK
U+0135;LATIN SMALL LETTER J WITH CIRCUMFLEX
U+0137;LATIN SMALL LETTER K WITH CEDILLA
U+013A;LATIN SMALL LETTER L WITH ACUTE
U+013C;LATIN SMALL LETTER L WITH CEDILLA
U+013E;LATIN SMALL LETTER L WITH CARON
U+0144;LATIN SMALL LETTER N WITH ACUTE
U+0146;LATIN SMALL LETTER N WITH CEDILLA
U+0148;LATIN SMALL LETTER N WITH CARON
U+014D;LATIN SMALL LETTER O WITH MACRON
U+014F;LATIN SMALL LETTER O WITH BREVE
U+0151;LATIN SMALL LETTER O WITH DOUBLE ACUTE
U+0155;LATIN SMALL LETTER R WITH ACUTE
U+0157;LATIN SMALL LETTER R WITH CEDILLA
U+0159;LATIN SMALL LETTER R WITH CARON
U+015B;LATIN SMALL LETTER S WITH ACUTE
U+015D;LATIN SMALL LETTER S WITH CIRCUMFLEX
U+015F;LATIN SMALL LETTER S WITH CEDILLA
U+0161;LATIN SMALL LETTER S WITH CARON
U+0163;LATIN SMALL LETTER T WITH CEDILLA
U+0165;LATIN SMALL LETTER T WITH CARON
U+0169;LATIN SMALL LETTER U WITH TILDE
U+016B;LATIN SMALL LETTER U WITH MACRON
U+016D;LATIN SMALL LETTER U WITH BREVE
U+016F;LATIN SMALL LETTER U WITH RING ABOVE
U+0171;LATIN SMALL LETTER U WITH DOUBLE ACUTE
U+0173;LATIN SMALL LETTER U WITH OGONEK
U+0175;LATIN SMALL LETTER W WITH CIRCUMFLEX
U+0177;LATIN SMALL LETTER Y WITH CIRCUMFLEX
U+017A;LATIN SMALL LETTER Z WITH ACUTE
U+017C;LATIN SMALL LETTER Z WITH DOT ABOVE
U+017E;LATIN SMALL LETTER Z WITH CARON
U+01A1;LATIN SMALL LETTER O WITH HORN
U+01B0;LATIN SMALL LETTER U WITH HORN
U+01CE;LATIN SMALL LETTER A WITH CARON
U+01D0;LATIN SMALL LETTER I WITH CARON
U+01D2;LATIN SMALL LETTER O WITH CARON
U+01D4;LATIN SMALL LETTER U WITH CARON
U+01D6;LATIN SMALL LETTER U WITH DIAERESIS AND MACRON
U+01D8;LATIN SMALL LETTER U WITH DIAERESIS AND ACUTE
U+01DA;LATIN SMALL LETTER U WITH DIAERESIS AND CARON
U+01DC;LATIN SMALL LETTER U WITH DIAERESIS AND GRAVE
U+01DF;LATIN SMALL LETTER A WITH DIAERESIS AND MACRON
U+01E1;LATIN SMALL LETTER A WITH DOT ABOVE AND MACRON
U+01E3;LATIN SMALL LETTER AE WITH MACRON
U+01E7;LATIN SMALL LETTER G WITH CARON
U+01E9;LATIN SMALL LETTER K WITH CARON
U+01EB;LATIN SMALL LETTER O WITH OGONEK
U+01ED;LATIN SMALL LETTER O WITH OGONEK AND MACRON
U+01EF;LATIN SMALL LETTER EZH WITH CARON
U+01F0;LATIN SMALL LETTER J WITH CARON
U+01F5;LATIN SMALL LETTER G WITH ACUTE
U+01F9;LATIN SMALL LETTER N WITH GRAVE
U+01FB;LATIN SMALL LETTER A WITH RING ABOVE AND ACUTE
U+01FD;LATIN SMALL LETTER AE WITH ACUTE
U+01FF;LATIN SMALL LETTER O WITH STROKE AND ACUTE
U+0201;LATIN SMALL LETTER A WITH DOUBLE GRAVE
U+0203;LATIN SMALL LETTER A WITH INVERTED BREVE
U+0205;LATIN SMALL LETTER E WITH DOUBLE GRAVE
U+0207;LATIN SMALL LETTER E WITH INVERTED BREVE
U+0209;LATIN SMALL LETTER I WITH DOUBLE GRAVE
U+020B;LATIN SMALL LETTER I WITH INVERTED BREVE
U+020D;LATIN SMALL LETTER O WITH DOUBLE GRAVE
U+020F;LATIN SMALL LETTER O WITH INVERTED BREVE
U+0211;LATIN SMALL LETTER R WITH DOUBLE GRAVE
U+0213;LATIN SMALL LETTER R WITH INVERTED BREVE
U+0215;LATIN SMALL LETTER U WITH DOUBLE GRAVE
U+0217;LATIN SMALL LETTER U WITH INVERTED BREVE
U+0219;LATIN SMALL LETTER S WITH COMMA BELOW
U+021B;LATIN SMALL LETTER T WITH COMMA BELOW
U+021F;LATIN SMALL LETTER H WITH CARON
U+0227;LATIN SMALL LETTER A WITH DOT ABOVE
U+0229;LATIN SMALL LETTER E WITH CEDILLA
U+022B;LATIN SMALL LETTER O WITH DIAERESIS AND MACRON
U+022D;LATIN SMALL LETTER O WITH TILDE AND MACRON
U+022F;LATIN SMALL LETTER O WITH DOT ABOVE
U+0231;LATIN SMALL LETTER O WITH DOT ABOVE AND MACRON
U+0233;LATIN SMALL LETTER Y WITH MACRON
U+0390;GREEK SMALL LETTER IOTA WITH DIALYTIKA AND TONOS
U+03AC;GREEK SMALL LETTER ALPHA WITH TONOS
U+03AD;GREEK SMALL LETTER EPSILON WITH TONOS
U+03AE;GREEK SMALL LETTER ETA WITH TONOS
U+03AF;GREEK SMALL LETTER IOTA WITH TONOS
U+03B0;GREEK SMALL LETTER UPSILON WITH DIALYTIKA AND TONOS
U+03CA;GREEK SMALL LETTER IOTA WITH DIALYTIKA
U+03CB;GREEK SMALL LETTER UPSILON WITH DIALYTIKA
U+03CC;GREEK SMALL LETTER OMICRON WITH TONOS
U+03CD;GREEK SMALL LETTER UPSILON WITH TONOS
U+03CE;GREEK SMALL LETTER OMEGA WITH TONOS
U+0439;CYRILLIC SMALL LETTER SHORT I
U+0450;CYRILLIC SMALL LETTER IE WITH GRAVE
U+0451;CYRILLIC SMALL LETTER IO
U+0453;CYRILLIC SMALL LETTER GJE
U+0457;CYRILLIC SMALL LETTER YI
U+045C;CYRILLIC SMALL LETTER KJE
U+045D;CYRILLIC SMALL LETTER I WITH GRAVE
U+045E;CYRILLIC SMALL LETTER SHORT U
U+0477;CYRILLIC SMALL LETTER IZHITSA WITH DOUBLE GRAVE ACCENT
U+04C2;CYRILLIC SMALL LETTER ZHE WITH BREVE
U+04D1;CYRILLIC SMALL LETTER A WITH BREVE
U+04D3;CYRILLIC SMALL LETTER A WITH DIAERESIS
U+04D7;CYRILLIC SMALL LETTER IE WITH BREVE
U+04DB;CYRILLIC SMALL LETTER SCHWA WITH DIAERESIS
U+04DD;CYRILLIC SMALL LETTER ZHE WITH DIAERESIS
U+04DF;CYRILLIC SMALL LETTER ZE WITH DIAERESIS
U+04E3;CYRILLIC SMALL LETTER I WITH MACRON
U+04E5;CYRILLIC SMALL LETTER I WITH DIAERESIS
U+04E7;CYRILLIC SMALL LETTER O WITH DIAERESIS
U+04EB;CYRILLIC SMALL LETTER BARRED O WITH DIAERESIS
U+04ED;CYRILLIC SMALL LETTER E WITH DIAERESIS
U+04EF;CYRILLIC SMALL LETTER U WITH MACRON
U+04F1;CYRILLIC SMALL LETTER U WITH DIAERESIS
U+04F3;CYRILLIC SMALL LETTER U WITH DOUBLE ACUTE
U+04F5;CYRILLIC SMALL LETTER CHE WITH DIAERESIS
U+04F9;CYRILLIC SMALL LETTER YERU WITH DIAERESIS
U+0622;ARABIC LETTER ALEF WITH MADDA ABOVE
U+0623;ARABIC LETTER ALEF WITH HAMZA ABOVE
U+0624;ARABIC LETTER WAW WITH HAMZA ABOVE
U+0625;ARABIC LETTER ALEF WITH HAMZA BELOW
U+0626;ARABIC LETTER YEH WITH HAMZA ABOVE
U+06C0;ARABIC LETTER HEH WITH YEH ABOVE
U+06C2;ARABIC LETTER HEH GOAL WITH HAMZA ABOVE
U+06D3;ARABIC LETTER YEH BARREE WITH HAMZA ABOVE
U+0929;DEVANAGARI LETTER NNNA
U+0931;DEVANAGARI LETTER RRA
U+0934;DEVANAGARI LETTER LLLA
U+0B48;ORIYA VOWEL SIGN AI
U+0C48;TELUGU VOWEL SIGN AI
U+0DDA;SINHALA VOWEL SIGN DIGA KOMBUVA
U+0DDD;SINHALA VOWEL SIGN KOMBUVA HAA DIGA AELA-PILLA
U+1026;MYANMAR LETTER UU
U+1B3B;BALINESE VOWEL SIGN RA REPA TEDUNG
U+1B3D;BALINESE VOWEL SIGN LA LENGA TEDUNG
U+1B43;BALINESE VOWEL SIGN PEPET TEDUNG
U+1E01;LATIN SMALL LETTER A WITH RING BELOW
U+1E03;LATIN SMALL LETTER B WITH DOT ABOVE
U+1E05;LATIN SMALL LETTER B WITH DOT BELOW
U+1E07;LATIN SMALL LETTER B WITH LINE BELOW
U+1E09;LATIN SMALL LETTER C WITH CEDILLA AND ACUTE
U+1E0B;LATIN SMALL LETTER D WITH DOT ABOVE
U+1E0D;LATIN SMALL LETTER D WITH DOT BELOW
U+1E0F;LATIN SMALL LETTER D WITH LINE BELOW
U+1E11;LATIN SMALL LETTER D WITH CEDILLA
U+1E13;LATIN SMALL LETTER D WITH CIRCUMFLEX BELOW
U+1E15;LATIN SMALL LETTER E WITH MACRON AND GRAVE
U+1E17;LATIN SMALL LETTER E WITH MACRON AND ACUTE
U+1E19;LATIN SMALL LETTER E WITH CIRCUMFLEX BELOW
U+1E1B;LATIN SMALL LETTER E WITH TILDE BELOW
U+1E1D;LATIN SMALL LETTER E WITH CEDILLA AND BREVE
U+1E1F;LATIN SMALL LETTER F WITH DOT ABOVE
U+1E21;LATIN SMALL LETTER G WITH MACRON
U+1E23;LATIN SMALL LETTER H WITH DOT ABOVE
U+1E25;LATIN SMALL LETTER H WITH DOT BELOW
U+1E27;LATIN SMALL LETTER H WITH DIAERESIS
U+1E29;LATIN SMALL LETTER H WITH CEDILLA
U+1E2B;LATIN SMALL LETTER H WITH BREVE BELOW
U+1E2D;LATIN SMALL LETTER I WITH TILDE BELOW
U+1E2F;LATIN SMALL LETTER I WITH DIAERESIS AND ACUTE
U+1E31;LATIN SMALL LETTER K WITH ACUTE
U+1E33;LATIN SMALL LETTER K WITH DOT BELOW
U+1E35;LATIN SMALL LETTER K WITH LINE BELOW
U+1E37;LATIN SMALL LETTER L WITH DOT BELOW
U+1E39;LATIN SMALL LETTER L WITH DOT BELOW AND MACRON
U+1E3B;LATIN SMALL LETTER L WITH LINE BELOW
U+1E3D;LATIN SMALL LETTER L WITH CIRCUMFLEX BELOW
U+1E3F;LATIN SMALL LETTER M WITH ACUTE
U+1E41;LATIN SMALL LETTER M WITH DOT ABOVE
U+1E43;LATIN SMALL LETTER M WITH DOT BELOW
U+1E45;LATIN SMALL LETTER N WITH DOT ABOVE
U+1E47;LATIN SMALL LETTER N WITH DOT BELOW
U+1E49;LATIN SMALL LETTER N WITH LINE BELOW
U+1E4B;LATIN SMALL LETTER N WITH CIRCUMFLEX BELOW
U+1E4D;LATIN SMALL LETTER O WITH TILDE AND ACUTE
U+1E4F;LATIN SMALL LETTER O WITH TILDE AND DIAERESIS
U+1E51;LATIN SMALL LETTER O WITH MACRON AND GRAVE
U+1E53;LATIN SMALL LETTER O WITH MACRON AND ACUTE
U+1E55;LATIN SMALL LETTER P WITH ACUTE
U+1E57;LATIN SMALL LETTER P WITH DOT ABOVE
U+1E59;LATIN SMALL LETTER R WITH DOT ABOVE
U+1E5B;LATIN SMALL LETTER R WITH DOT BELOW
U+1E5D;LATIN SMALL LETTER R WITH DOT BELOW AND MACRON
U+1E5F;LATIN SMALL LETTER R WITH LINE BELOW
U+1E61;LATIN SMALL LETTER S WITH DOT ABOVE
U+1E63;LATIN SMALL LETTER S WITH DOT BELOW
U+1E65;LATIN SMALL LETTER S WITH ACUTE AND DOT ABOVE
U+1E67;LATIN SMALL LETTER S WITH CARON AND DOT ABOVE
U+1E69;LATIN SMALL LETTER S WITH DOT BELOW AND DOT ABOVE
U+1E6B;LATIN SMALL LETTER T WITH DOT ABOVE
U+1E6D;LATIN SMALL LETTER T WITH DOT BELOW
U+1E6F;LATIN SMALL LETTER T WITH LINE BELOW
U+1E71;LATIN SMALL LETTER T WITH CIRCUMFLEX BELOW
U+1E73;LATIN SMALL LETTER U WITH DIAERESIS BELOW
U+1E75;LATIN SMALL LETTER U WITH TILDE BELOW
U+1E77;LATIN SMALL LETTER U WITH CIRCUMFLEX BELOW
U+1E79;LATIN SMALL LETTER U WITH TILDE AND ACUTE
U+1E7B;LATIN SMALL LETTER U WITH MACRON AND DIAERESIS
U+1E7D;LATIN SMALL LETTER V WITH TILDE
U+1E7F;LATIN SMALL LETTER V WITH DOT BELOW
U+1E81;LATIN SMALL LETTER W WITH GRAVE
U+1E83;LATIN SMALL LETTER W WITH ACUTE
U+1E85;LATIN SMALL LETTER W WITH DIAERESIS
U+1E87;LATIN SMALL LETTER W WITH DOT ABOVE
U+1E89;LATIN SMALL LETTER W WITH DOT BELOW
U+1E8B;LATIN SMALL LETTER X WITH DOT ABOVE
U+1E8D;LATIN SMALL LETTER X WITH DIAERESIS
U+1E8F;LATIN SMALL LETTER Y WITH DOT ABOVE
U+1E91;LATIN SMALL LETTER Z WITH CIRCUMFLEX
U+1E93;LATIN SMALL LETTER Z WITH DOT BELOW
U+1E95;LATIN SMALL LETTER Z WITH LINE BELOW
U+1E96;LATIN SMALL LETTER H WITH LINE BELOW
U+1E97;LATIN SMALL LETTER T WITH DIAERESIS
U+1E98;LATIN SMALL LETTER W WITH RING ABOVE
U+1E99;LATIN SMALL LETTER Y WITH RING ABOVE
U+1EA1;LATIN SMALL LETTER A WITH DOT BELOW
U+1EA3;LATIN SMALL LETTER A WITH HOOK ABOVE
U+1EA5;LATIN SMALL LETTER A WITH CIRCUMFLEX AND ACUTE
U+1EA7;LATIN SMALL LETTER A WITH CIRCUMFLEX AND GRAVE
U+1EA9;LATIN SMALL LETTER A WITH CIRCUMFLEX AND HOOK ABOVE
U+1EAB;LATIN SMALL LETTER A WITH CIRCUMFLEX AND TILDE
U+1EAD;LATIN SMALL LETTER A WITH CIRCUMFLEX AND DOT BELOW
U+1EAF;LATIN SMALL LETTER A WITH BREVE AND ACUTE
U+1EB1;LATIN SMALL LETTER A WITH BREVE AND GRAVE
U+1EB3;LATIN SMALL LETTER A WITH BREVE AND HOOK ABOVE
U+1EB5;LATIN SMALL LETTER A WITH BREVE AND TILDE
U+1EB7;LATIN SMALL LETTER A WITH BREVE AND DOT BELOW
U+1EB9;LATIN SMALL LETTER E WITH DOT BELOW
U+1EBB;LATIN SMALL LETTER E WITH HOOK ABOVE
U+1EBD;LATIN SMALL LETTER E WITH TILDE
U+1EBF;LATIN SMALL LETTER E WITH CIRCUMFLEX AND ACUTE
U+1EC1;LATIN SMALL LETTER E WITH CIRCUMFLEX AND GRAVE
U+1EC3;LATIN SMALL LETTER E WITH CIRCUMFLEX AND HOOK ABOVE
U+1EC5;LATIN SMALL LETTER E WITH CIRCUMFLEX AND TILDE
U+1EC7;LATIN SMALL LETTER E WITH CIRCUMFLEX AND DOT BELOW
U+1EC9;LATIN SMALL LETTER I WITH HOOK ABOVE
U+1ECB;LATIN SMALL LETTER I WITH DOT BELOW
U+1ECD;LATIN SMALL LETTER O WITH DOT BELOW
U+1ECF;LATIN SMALL LETTER O WITH HOOK ABOVE
U+1ED1;LATIN SMALL LETTER O WITH CIRCUMFLEX AND ACUTE
U+1ED3;LATIN SMALL LETTER O WITH CIRCUMFLEX AND GRAVE
U+1ED5;LATIN SMALL LETTER O WITH CIRCUMFLEX AND HOOK ABOVE
U+1ED7;LATIN SMALL LETTER O WITH CIRCUMFLEX AND TILDE
U+1ED9;LATIN SMALL LETTER O WITH CIRCUMFLEX AND DOT BELOW
U+1EDB;LATIN SMALL LETTER O WITH HORN AND ACUTE
U+1EDD;LATIN SMALL LETTER O WITH HORN AND GRAVE
U+1EDF;LATIN SMALL LETTER O WITH HORN AND HOOK ABOVE
U+1EE1;LATIN SMALL LETTER O WITH HORN AND TILDE
U+1EE3;LATIN SMALL LETTER O WITH HORN AND DOT BELOW
U+1EE5;LATIN SMALL LETTER U WITH DOT BELOW
U+1EE7;LATIN SMALL LETTER U WITH HOOK ABOVE
U+1EE9;LATIN SMALL LETTER U WITH HORN AND ACUTE
U+1EEB;LATIN SMALL LETTER U WITH HORN AND GRAVE
U+1EED;LATIN SMALL LETTER U WITH HORN AND HOOK ABOVE
U+1EEF;LATIN SMALL LETTER U WITH HORN AND TILDE
U+1EF1;LATIN SMALL LETTER U WITH HORN AND DOT BELOW
U+1EF3;LATIN SMALL LETTER Y WITH GRAVE
U+1EF5;LATIN SMALL LETTER Y WITH DOT BELOW
U+1EF7;LATIN SMALL LETTER Y WITH HOOK ABOVE
U+1EF9;LATIN SMALL LETTER Y WITH TILDE
U+1F00;GREEK SMALL LETTER ALPHA WITH PSILI
U+1F01;GREEK SMALL LETTER ALPHA WITH DASIA
U+1F02;GREEK SMALL LETTER ALPHA WITH PSILI AND VARIA
U+1F03;GREEK SMALL LETTER ALPHA WITH DASIA AND VARIA
U+1F04;GREEK SMALL LETTER ALPHA WITH PSILI AND OXIA
U+1F05;GREEK SMALL LETTER ALPHA WITH DASIA AND OXIA
U+1F06;GREEK SMALL LETTER ALPHA WITH PSILI AND PERISPOMENI
U+1F07;GREEK SMALL LETTER ALPHA WITH DASIA AND PERISPOMENI
U+1F10;GREEK SMALL LETTER EPSILON WITH PSILI
U+1F11;GREEK SMALL LETTER EPSILON WITH DASIA
U+1F12;GREEK SMALL LETTER EPSILON WITH PSILI AND VARIA
U+1F13;GREEK SMALL LETTER EPSILON WITH DASIA AND VARIA
U+1F14;GREEK SMALL LETTER EPSILON WITH PSILI AND OXIA
U+1F15;GREEK SMALL LETTER EPSILON WITH DASIA AND OXIA
U+1F20;GREEK SMALL LETTER ETA WITH PSILI
U+1F21;GREEK SMALL LETTER ETA WITH DASIA
U+1F22;GREEK SMALL LETTER ETA WITH PSILI AND VARIA
U+1F23;GREEK SMALL LETTER ETA WITH DASIA AND VARIA
U+1F24;GREEK SMALL LETTER ETA WITH PSILI AND OXIA
U+1F25;GREEK SMALL LETTER ETA WITH DASIA AND OXIA
U+1F26;GREEK SMALL LETTER ETA WITH PSILI AND PERISPOMENI
U+1F27;GREEK SMALL LETTER ETA WITH DASIA AND PERISPOMENI
U+1F30;GREEK SMALL LETTER IOTA WITH PSILI
U+1F31;GREEK SMALL LETTER IOTA WITH DASIA
U+1F32;GREEK SMALL LETTER IOTA WITH PSILI AND VARIA
U+1F33;GREEK SMALL LETTER IOTA WITH DASIA AND VARIA
U+1F34;GREEK SMALL LETTER IOTA WITH PSILI AND OXIA
U+1F35;GREEK SMALL LETTER IOTA WITH DASIA AND OXIA
U+1F36;GREEK SMALL LETTER IOTA WITH PSILI AND PERISPOMENI
U+1F37;GREEK SMALL LETTER IOTA WITH DASIA AND PERISPOMENI
U+1F40;GREEK SMALL LETTER OMICRON WITH PSILI
U+1F41;GREEK SMALL LETTER OMICRON WITH DASIA
U+1F42;GREEK SMALL LETTER OMICRON WITH PSILI AND VARIA
U+1F43;GREEK SMALL LETTER OMICRON WITH DASIA AND VARIA
U+1F44;GREEK SMALL LETTER OMICRON WITH PSILI AND OXIA
U+1F45;GREEK SMALL LETTER OMICRON WITH DASIA AND OXIA
U+1F50;GREEK SMALL LETTER UPSILON WITH PSILI
U+1F51;GREEK SMALL LETTER UPSILON WITH DASIA
U+1F52;GREEK SMALL LETTER UPSILON WITH PSILI AND VARIA
U+1F53;GREEK SMALL LETTER UPSILON WITH DASIA AND VARIA
U+1F54;GREEK SMALL LETTER UPSILON WITH PSILI AND OXIA
U+1F55;GREEK SMALL LETTER UPSILON WITH DASIA AND OXIA
U+1F56;GREEK SMALL LETTER UPSILON WITH PSILI AND PERISPOMENI
U+1F57;GREEK SMALL LETTER UPSILON WITH DASIA AND PERISPOMENI
U+1F60;GREEK SMALL LETTER OMEGA WITH PSILI
U+1F61;GREEK SMALL LETTER OMEGA WITH DASIA
U+1F62;GREEK SMALL LETTER OMEGA WITH PSILI AND VARIA
U+1F63;GREEK SMALL LETTER OMEGA WITH DASIA AND VARIA
U+1F64;GREEK SMALL LETTER OMEGA WITH PSILI AND OXIA
U+1F65;GREEK SMALL LETTER OMEGA WITH DASIA AND OXIA
U+1F66;GREEK SMALL LETTER OMEGA WITH PSILI AND PERISPOMENI
U+1F67;GREEK SMALL LETTER OMEGA WITH DASIA AND PERISPOMENI
U+1F70;GREEK SMALL LETTER ALPHA WITH VARIA
U+1F72;GREEK SMALL LETTER EPSILON WITH VARIA
U+1F74;GREEK SMALL LETTER ETA WITH VARIA
U+1F76;GREEK SMALL LETTER IOTA WITH VARIA
U+1F78;GREEK SMALL LETTER OMICRON WITH VARIA
U+1F7A;GREEK SMALL LETTER UPSILON WITH VARIA
U+1F7C;GREEK SMALL LETTER OMEGA WITH VARIA
U+1FB0;GREEK SMALL LETTER ALPHA WITH VRACHY
U+1FB1;GREEK SMALL LETTER ALPHA WITH MACRON
U+1FB6;GREEK SMALL LETTER ALPHA WITH PERISPOMENI
U+1FC6;GREEK SMALL LETTER ETA WITH PERISPOMENI
U+1FD0;GREEK SMALL LETTER IOTA WITH VRACHY
U+1FD1;GREEK SMALL LETTER IOTA WITH MACRON
U+1FD2;GREEK SMALL LETTER IOTA WITH DIALYTIKA AND VARIA
U+1FD6;GREEK SMALL LETTER IOTA WITH PERISPOMENI
U+1FD7;GREEK SMALL LETTER IOTA WITH DIALYTIKA AND PERISPOMENI
U+1FE0;GREEK SMALL LETTER UPSILON WITH VRACHY
U+1FE1;GREEK SMALL LETTER UPSILON WITH MACRON
U+1FE2;GREEK SMALL LETTER UPSILON WITH DIALYTIKA AND VARIA
U+1FE4;GREEK SMALL LETTER RHO WITH PSILI
U+1FE5;GREEK SMALL LETTER RHO WITH DASIA
U+1FE6;GREEK SMALL LETTER UPSILON WITH PERISPOMENI
U+1FE7;GREEK SMALL LETTER UPSILON WITH DIALYTIKA AND PERISPOMENI
U+1FF6;GREEK SMALL LETTER OMEGA WITH PERISPOMENI
U+304C;HIRAGANA LETTER GA
U+304E;HIRAGANA LETTER GI
U+3050;HIRAGANA LETTER GU
U+3052;HIRAGANA LETTER GE
U+3054;HIRAGANA LETTER GO
U+3056;HIRAGANA LETTER ZA
U+3058;HIRAGANA LETTER ZI
U+305A;HIRAGANA LETTER ZU
U+305C;HIRAGANA LETTER ZE
U+305E;HIRAGANA LETTER ZO
U+3060;HIRAGANA LETTER DA
U+3062;HIRAGANA LETTER DI
U+3065;HIRAGANA LETTER DU
U+3067;HIRAGANA LETTER DE
U+3069;HIRAGANA LETTER DO
U+3070;HIRAGANA LETTER BA
U+3071;HIRAGANA LETTER PA
U+3073;HIRAGANA LETTER BI
U+3074;HIRAGANA LETTER PI
U+3076;HIRAGANA LETTER BU
U+3077;HIRAGANA LETTER PU
U+3079;HIRAGANA LETTER BE
U+307A;HIRAGANA LETTER PE
U+307C;HIRAGANA LETTER BO
U+307D;HIRAGANA LETTER PO
U+3094;HIRAGANA LETTER VU
U+309E;HIRAGANA VOICED ITERATION MARK
U+30AC;KATAKANA LETTER GA
U+30AE;KATAKANA LETTER GI
U+30B0;KATAKANA LETTER GU
U+30B2;KATAKANA LETTER GE
U+30B4;KATAKANA LETTER GO
U+30B6;KATAKANA LETTER ZA
U+30B8;KATAKANA LETTER ZI
U+30BA;KATAKANA LETTER ZU
U+30BC;KATAKANA LETTER ZE
U+30BE;KATAKANA LETTER ZO
U+30C0;KATAKANA LETTER DA
U+30C2;KATAKANA LETTER DI
U+30C5;KATAKANA LETTER DU
U+30C7;KATAKANA LETTER DE
U+30C9;KATAKANA LETTER DO
U+30D0;KATAKANA LETTER BA
U+30D1;KATAKANA LETTER PA
U+30D3;KATAKANA LETTER BI
U+30D4;KATAKANA LETTER PI
U+30D6;KATAKANA LETTER BU
U+30D7;KATAKANA LETTER PU
U+30D9;KATAKANA LETTER BE
U+30DA;KATAKANA LETTER PE
U+30DC;KATAKANA LETTER BO
U+30DD;KATAKANA LETTER PO
U+30F4;KATAKANA LETTER VU
U+30F7;KATAKANA LETTER VA
U+30F8;KATAKANA LETTER VI
U+30F9;KATAKANA LETTER VE
U+30FA;KATAKANA LETTER VO
U+30FE;KATAKANA VOICED ITERATION MARK

Code points related to other code points
Code points that has a name related to other code points.

U+0870;ARABIC LETTER ALEF WITH ATTACHED FATHA
U+0871;ARABIC LETTER ALEF WITH ATTACHED TOP RIGHT FATHA
U+0874;ARABIC LETTER ALEF WITH ATTACHED KASRA
U+0875;ARABIC LETTER ALEF WITH ATTACHED BOTTOM RIGHT KASRA
U+0876;ARABIC LETTER ALEF WITH ATTACHED ROUND DOT ABOVE
U+0879;ARABIC LETTER ALEF WITH ATTACHED ROUND DOT BELOW
U+087A;ARABIC LETTER ALEF WITH DOT ABOVE
U+087B;ARABIC LETTER ALEF WITH ATTACHED TOP RIGHT FATHA AND DOT ABOVE
U+087C;ARABIC LETTER ALEF WITH RIGHT MIDDLE STROKE AND DOT ABOVE
U+087D;ARABIC LETTER ALEF WITH ATTACHED BOTTOM RIGHT KASRA AND DOT ABOVE
U+087E;ARABIC LETTER ALEF WITH ATTACHED TOP RIGHT FATHA AND LEFT RING
U+0880;ARABIC LETTER ALEF WITH ATTACHED BOTTOM RIGHT KASRA AND LEFT RING
U+0881;ARABIC LETTER ALEF WITH ATTACHED RIGHT HAMZA
U+0882;ARABIC LETTER ALEF WITH ATTACHED LEFT HAMZA
U+0883;ARABIC TATWEEL WITH OVERSTRUCK HAMZA
U+088B;ARABIC LETTER TAH WITH DOT BELOW
U+088C;ARABIC LETTER TAH WITH THREE DOTS BELOW
U+08B5;ARABIC LETTER QAF WITH DOT BELOW AND NO DOTS ABOVE
U+08C3;ARABIC LETTER GHAIN WITH THREE DOTS ABOVE
U+08C4;ARABIC LETTER AFRICAN QAF WITH THREE DOTS ABOVE
U+08C5;ARABIC LETTER JEEM WITH THREE DOTS ABOVE
U+08C6;ARABIC LETTER JEEM WITH THREE DOTS BELOW
U+08CB;ARABIC SMALL HIGH YEH BARREE WITH TWO DOTS BELOW
U+08CE;ARABIC LARGE ROUND DOT ABOVE
U+08CF;ARABIC LARGE ROUND DOT BELOW
U+08D0;ARABIC SUKUN BELOW
U+0B55;ORIYA SIGN OVERLINE
U+0C3C;TELUGU SIGN NUKTA
U+0CF3;KANNADA SIGN COMBINING ANUSVARA ABOVE RIGHT
U+0D81;SINHALA SIGN CANDRABINDU
U+0ECE;LAO YAMAKKAN
U+1ABF;COMBINING LATIN SMALL LETTER W BELOW
U+1AC0;COMBINING LATIN SMALL LETTER TURNED W BELOW
U+1AC3;COMBINING LEFT PARENTHESIS BELOW LEFT
U+1AC4;COMBINING RIGHT PARENTHESIS BELOW RIGHT
U+1AC8;COMBINING PLUS SIGN ABOVE
U+1AC9;COMBINING DOUBLE PLUS SIGN ABOVE
U+1ACA;COMBINING DOUBLE PLUS SIGN BELOW
U+1ACB;COMBINING TRIPLE ACUTE ACCENT
U+1ACC;COMBINING LATIN SMALL LETTER INSULAR G
U+1ACD;COMBINING LATIN SMALL LETTER INSULAR R
U+1ACE;COMBINING LATIN SMALL LETTER INSULAR T
U+1DFA;COMBINING DOT BELOW LEFT
U+A7C1;LATIN SMALL LETTER OLD POLISH O
U+A7C7;LATIN CAPITAL LETTER D WITH SHORT STROKE OVERLAY
U+A7C8;LATIN SMALL LETTER D WITH SHORT STROKE OVERLAY
U+A7C9;LATIN CAPITAL LETTER S WITH SHORT STROKE OVERLAY
U+A7CA;LATIN SMALL LETTER S WITH SHORT STROKE OVERLAY
U+A7D1;LATIN SMALL LETTER CLOSED INSULAR G
U+A7D3;LATIN SMALL LETTER DOUBLE THORN
U+A7D5;LATIN SMALL LETTER DOUBLE WYNN
U+A7D7;LATIN SMALL LETTER MIDDLE SCOTS S
U+A7D9;LATIN SMALL LETTER SIGMOID S
U+A7F6;LATIN SMALL LETTER REVERSED HALF H
U+AB68;LATIN SMALL LETTER TURNED R WITH MIDDLE TILDE
U+10791;MODIFIER LETTER SMALL RAMS HORN
U+10EAB;YEZIDI COMBINING HAMZA MARK
U+10EB0;YEZIDI LETTER LAM WITH DOT ABOVE
U+10EB1;YEZIDI LETTER YOT WITH CIRCUMFLEX ABOVE
U+10F82;OLD UYGHUR COMBINING DOT ABOVE
U+10F83;OLD UYGHUR COMBINING DOT BELOW
U+10F84;OLD UYGHUR COMBINING TWO DOTS ABOVE
U+10F85;OLD UYGHUR COMBINING TWO DOTS BELOW
U+110C2;KAITHI VOWEL SIGN VOCALIC R
U+111CF;SHARADA SIGN INVERTED CANDRABINDU
U+11241;KHOJKI VOWEL SIGN VOCALIC R
U+11F00;KAWI SIGN CANDRABINDU
U+11F01;KAWI SIGN ANUSVARA
U+11F36;KAWI VOWEL SIGN I
U+11F37;KAWI VOWEL SIGN II
U+11F38;KAWI VOWEL SIGN U
U+11F39;KAWI VOWEL SIGN UU
U+11F3A;KAWI VOWEL SIGN VOCALIC R
U+11F40;KAWI VOWEL SIGN EU
U+1E08F;COMBINING CYRILLIC SMALL LETTER BYELORUSSIAN-UKRAINIAN I

Additions to Exceptions (F)
Code points that are to be added to the section Exceptions (F) in the IDNA 2008 algorithm as specified in RFC 5892.

U+0870; UNDER REVIEW # ARABIC LETTER ALEF WITH ATTACHED FATHA
U+0871; UNDER REVIEW # ARABIC LETTER ALEF WITH ATTACHED TOP RIGHT FATHA
U+0874; UNDER REVIEW # ARABIC LETTER ALEF WITH ATTACHED KASRA
U+0875; UNDER REVIEW # ARABIC LETTER ALEF WITH ATTACHED BOTTOM RIGHT KASRA
U+0876; UNDER REVIEW # ARABIC LETTER ALEF WITH ATTACHED ROUND DOT ABOVE
U+0879; UNDER REVIEW # ARABIC LETTER ALEF WITH ATTACHED ROUND DOT BELOW
U+087A; UNDER REVIEW # ARABIC LETTER ALEF WITH DOT ABOVE
U+087B; UNDER REVIEW # ARABIC LETTER ALEF WITH ATTACHED TOP RIGHT FATHA AND DOT ABOVE
U+087C; UNDER REVIEW # ARABIC LETTER ALEF WITH RIGHT MIDDLE STROKE AND DOT ABOVE
U+087D; UNDER REVIEW # ARABIC LETTER ALEF WITH ATTACHED BOTTOM RIGHT KASRA AND DOT ABOVE
U+087E; UNDER REVIEW # ARABIC LETTER ALEF WITH ATTACHED TOP RIGHT FATHA AND LEFT RING
U+0880; UNDER REVIEW # ARABIC LETTER ALEF WITH ATTACHED BOTTOM RIGHT KASRA AND LEFT RING
U+0881; UNDER REVIEW # ARABIC LETTER ALEF WITH ATTACHED RIGHT HAMZA
U+0882; UNDER REVIEW # ARABIC LETTER ALEF WITH ATTACHED LEFT HAMZA
U+0883; UNDER REVIEW # ARABIC TATWEEL WITH OVERSTRUCK HAMZA
U+088B; UNDER REVIEW # ARABIC LETTER TAH WITH DOT BELOW
U+088C; UNDER REVIEW # ARABIC LETTER TAH WITH THREE DOTS BELOW
U+0898; UNDER REVIEW # ARABIC SMALL HIGH WORD AL-JUZ
U+0899; UNDER REVIEW # ARABIC SMALL LOW WORD ISHMAAM
U+089A; UNDER REVIEW # ARABIC SMALL LOW WORD IMAALA
U+089A; UNDER REVIEW # ARABIC SMALL LOW WORD IMAALA
U+089B; UNDER REVIEW # ARABIC SMALL LOW WORD TASHEEL
U+089C; UNDER REVIEW # ARABIC MADDA WAAJIB
U+089D; UNDER REVIEW # ARABIC SUPERSCRIPT ALEF MOKHASSAS
U+089E; UNDER REVIEW # ARABIC DOUBLED MADDA
U+089F; UNDER REVIEW # ARABIC HALF MADDA OVER MADDA
U+08B5; UNDER REVIEW # ARABIC LETTER QAF WITH DOT BELOW AND NO DOTS ABOVE
U+08C3; UNDER REVIEW # ARABIC LETTER GHAIN WITH THREE DOTS ABOVE
U+08C4; UNDER REVIEW # ARABIC LETTER AFRICAN QAF WITH THREE DOTS ABOVE
U+08C5; UNDER REVIEW # ARABIC LETTER JEEM WITH THREE DOTS ABOVE
U+08C6; UNDER REVIEW # ARABIC LETTER JEEM WITH THREE DOTS BELOW
U+08CA; UNDER REVIEW # ARABIC SMALL HIGH FARSI YEH
U+08CB; UNDER REVIEW # ARABIC SMALL HIGH YEH BARREE WITH TWO DOTS BELOW
U+08CC; UNDER REVIEW # ARABIC SMALL HIGH WORD SAH
U+08CD; UNDER REVIEW # ARABIC SMALL HIGH ZAH
U+08CE; UNDER REVIEW # ARABIC LARGE ROUND DOT ABOVE
U+08CF; UNDER REVIEW # ARABIC LARGE ROUND DOT BELOW
U+08D0; UNDER REVIEW # ARABIC SUKUN BELOW
U+08D1; UNDER REVIEW # ARABIC LARGE CIRCLE BELOW
U+08D2; UNDER REVIEW # ARABIC LARGE ROUND DOT INSIDE CIRCLE BELOW
U+0B55; UNDER REVIEW # ORIYA SIGN OVERLINE
U+0C3C; UNDER REVIEW # TELUGU SIGN NUKTA
U+0CF3; UNDER REVIEW # KANNADA SIGN COMBINING ANUSVARA ABOVE RIGHT
U+0D81; UNDER REVIEW # SINHALA SIGN CANDRABINDU
U+0ECE; UNDER REVIEW # LAO YAMAKKAN
U+A7C1; UNDER REVIEW # LATIN SMALL LETTER OLD POLISH O
U+A7C7; UNDER REVIEW # LATIN CAPITAL LETTER D WITH SHORT STROKE OVERLAY
U+A7C8; UNDER REVIEW # LATIN SMALL LETTER D WITH SHORT STROKE OVERLAY
U+A7C9; UNDER REVIEW # LATIN CAPITAL LETTER S WITH SHORT STROKE OVERLAY
U+A7CA; UNDER REVIEW # LATIN SMALL LETTER S WITH SHORT STROKE OVERLAY
U+A7D1; UNDER REVIEW # LATIN SMALL LETTER CLOSED INSULAR G
U+A7D3; UNDER REVIEW # LATIN SMALL LETTER DOUBLE THORN
U+A7D5; UNDER REVIEW # LATIN SMALL LETTER DOUBLE WYNN
U+A7D7; UNDER REVIEW # LATIN SMALL LETTER MIDDLE SCOTS S
U+A7D9; UNDER REVIEW # LATIN SMALL LETTER SIGMOID S
U+A7F6; UNDER REVIEW # LATIN SMALL LETTER REVERSED HALF H
U+A82C; UNDER REVIEW # SYLOTI NAGRI SIGN ALTERNATE HASANTA
U+AB68; UNDER REVIEW # LATIN SMALL LETTER TURNED R WITH MIDDLE TILDE
U+1ABF; UNDER REVIEW # COMBINING LATIN SMALL LETTER W BELOW
U+1AC0; UNDER REVIEW # COMBINING LATIN SMALL LETTER TURNED W BELOW
U+1AC1; UNDER REVIEW # COMBINING LEFT PARENTHESIS ABOVE LEFT
U+1AC2; UNDER REVIEW # COMBINING RIGHT PARENTHESIS ABOVE RIGHT
U+1AC3; UNDER REVIEW # COMBINING LEFT PARENTHESIS BELOW LEFT
U+1AC4; UNDER REVIEW # COMBINING RIGHT PARENTHESIS BELOW RIGHT
U+1AC5; UNDER REVIEW # COMBINING SQUARE BRACKETS ABOVE
U+1AC6; UNDER REVIEW # COMBINING NUMBER SIGN ABOVE
U+1AC7; UNDER REVIEW # COMBINING INVERTED DOUBLE ARCH ABOVE
U+1AC8; UNDER REVIEW # COMBINING PLUS SIGN ABOVE
U+1AC9; UNDER REVIEW # COMBINING DOUBLE PLUS SIGN ABOVE
U+1ACA; UNDER REVIEW # COMBINING DOUBLE PLUS SIGN BELOW
U+1ACB; UNDER REVIEW # COMBINING TRIPLE ACUTE ACCENT
U+1ACC; UNDER REVIEW # COMBINING LATIN SMALL LETTER INSULAR G
U+1ACD; UNDER REVIEW # COMBINING LATIN SMALL LETTER INSULAR R
U+1ACE; UNDER REVIEW # COMBINING LATIN SMALL LETTER INSULAR T
U+1DFA; UNDER REVIEW # COMBINING DOT BELOW LEFT
U+10791; UNDER REVIEW # MODIFIER LETTER SMALL RAMS HORN
U+10EAB; UNDER REVIEW # YEZIDI COMBINING HAMZA MARK
U+10EAC; UNDER REVIEW # YEZIDI COMBINING MADDA MARK
U+10EB0; UNDER REVIEW # YEZIDI LETTER LAM WITH DOT ABOVE
U+10EB1; UNDER REVIEW # YEZIDI LETTER YOT WITH CIRCUMFLEX ABOVE
U+10EFD; UNDER REVIEW # ARABIC SMALL LOW WORD SAKTA
U+10EFE; UNDER REVIEW # ARABIC SMALL LOW WORD QASR
U+10EFF; UNDER REVIEW # ARABIC SMALL LOW WORD MADDA
U+10F82; UNDER REVIEW # OLD UYGHUR COMBINING DOT ABOVE
U+10F83; UNDER REVIEW # OLD UYGHUR COMBINING DOT BELOW
U+10F84; UNDER REVIEW # OLD UYGHUR COMBINING TWO DOTS ABOVE
U+10F85; UNDER REVIEW # OLD UYGHUR COMBINING TWO DOTS BELOW
U+11070; UNDER REVIEW # BRAHMI SIGN OLD TAMIL VIRAMA
U+11073; UNDER REVIEW # BRAHMI VOWEL SIGN OLD TAMIL SHORT E
U+11074; UNDER REVIEW # BRAHMI VOWEL SIGN OLD TAMIL SHORT O
U+110C2; UNDER REVIEW # KAITHI VOWEL SIGN VOCALIC R
U+111CF; UNDER REVIEW # SHARADA SIGN INVERTED CANDRABINDU
U+11241; UNDER REVIEW # KHOJKI VOWEL SIGN VOCALIC R
U+1193B; UNDER REVIEW # DIVES AKURU SIGN ANUSVARA
U+1193C; UNDER REVIEW # DIVES AKURU SIGN CANDRABINDU
U+1193E; UNDER REVIEW # DIVES AKURU VIRAMA
U+11943; UNDER REVIEW # DIVES AKURU SIGN NUKTA
U+11F00; UNDER REVIEW # KAWI SIGN CANDRABINDU
U+11F01; UNDER REVIEW # KAWI SIGN ANUSVARA
U+11F36; UNDER REVIEW # KAWI VOWEL SIGN I
U+11F37; UNDER REVIEW # KAWI VOWEL SIGN II
U+11F38; UNDER REVIEW # KAWI VOWEL SIGN U
U+11F39; UNDER REVIEW # KAWI VOWEL SIGN UU
U+11F3A; UNDER REVIEW # KAWI VOWEL SIGN VOCALIC R
U+11F40; UNDER REVIEW # KAWI VOWEL SIGN EU
U+11F42; UNDER REVIEW # KAWI CONJOINER
U+13440; UNDER REVIEW # EGYPTIAN HIEROGLYPH MIRROR HORIZONTALLY
U+13447; UNDER REVIEW # EGYPTIAN HIEROGLYPH MODIFIER DAMAGED AT TOP START
U+13448; UNDER REVIEW # EGYPTIAN HIEROGLYPH MODIFIER DAMAGED AT BOTTOM START
U+13449; UNDER REVIEW # EGYPTIAN HIEROGLYPH MODIFIER DAMAGED AT START
U+1344A; UNDER REVIEW # EGYPTIAN HIEROGLYPH MODIFIER DAMAGED AT TOP END
U+1344B; UNDER REVIEW # EGYPTIAN HIEROGLYPH MODIFIER DAMAGED AT TOP
U+1344C; UNDER REVIEW # EGYPTIAN HIEROGLYPH MODIFIER DAMAGED AT BOTTOM START AND TOP END
U+1344D; UNDER REVIEW # EGYPTIAN HIEROGLYPH MODIFIER DAMAGED AT START AND TOP
U+1344E; UNDER REVIEW # EGYPTIAN HIEROGLYPH MODIFIER DAMAGED AT BOTTOM END
U+1344F; UNDER REVIEW # EGYPTIAN HIEROGLYPH MODIFIER DAMAGED AT TOP START AND BOTTOM END
U+13450; UNDER REVIEW # EGYPTIAN HIEROGLYPH MODIFIER DAMAGED AT BOTTOM
U+13451; UNDER REVIEW # EGYPTIAN HIEROGLYPH MODIFIER DAMAGED AT START AND BOTTOM
U+13452; UNDER REVIEW # EGYPTIAN HIEROGLYPH MODIFIER DAMAGED AT END
U+13453; UNDER REVIEW # EGYPTIAN HIEROGLYPH MODIFIER DAMAGED AT TOP AND END
U+13454; UNDER REVIEW # EGYPTIAN HIEROGLYPH MODIFIER DAMAGED AT BOTTOM AND END
U+13455; UNDER REVIEW # EGYPTIAN HIEROGLYPH MODIFIER DAMAGED
U+16FE4; UNDER REVIEW # KHITAN SMALL SCRIPT FILLER
U+1CF00; UNDER REVIEW # ZNAMENNY COMBINING MARK GORAZDO NIZKO S KRYZHEM ON LEFT
U+1CF01; UNDER REVIEW # ZNAMENNY COMBINING MARK NIZKO S KRYZHEM ON LEFT
U+1CF02; UNDER REVIEW # ZNAMENNY COMBINING MARK TSATA ON LEFT
U+1CF03; UNDER REVIEW # ZNAMENNY COMBINING MARK GORAZDO NIZKO ON LEFT
U+1CF04; UNDER REVIEW # ZNAMENNY COMBINING MARK NIZKO ON LEFT
U+1CF05; UNDER REVIEW # ZNAMENNY COMBINING MARK SREDNE ON LEFT
U+1CF06; UNDER REVIEW # ZNAMENNY COMBINING MARK MALO POVYSHE ON LEFT
U+1CF07; UNDER REVIEW # ZNAMENNY COMBINING MARK POVYSHE ON LEFT
U+1CF08; UNDER REVIEW # ZNAMENNY COMBINING MARK VYSOKO ON LEFT
U+1CF09; UNDER REVIEW # ZNAMENNY COMBINING MARK MALO POVYSHE S KHOKHLOM ON LEFT
U+1CF0A; UNDER REVIEW # ZNAMENNY COMBINING MARK POVYSHE S KHOKHLOM ON LEFT
U+1CF0B; UNDER REVIEW # ZNAMENNY COMBINING MARK VYSOKO S KHOKHLOM ON LEFT
U+1CF0C; UNDER REVIEW # ZNAMENNY COMBINING MARK GORAZDO NIZKO S KRYZHEM ON RIGHT
U+1CF0D; UNDER REVIEW # ZNAMENNY COMBINING MARK NIZKO S KRYZHEM ON RIGHT
U+1CF0E; UNDER REVIEW # ZNAMENNY COMBINING MARK TSATA ON RIGHT
U+1CF0F; UNDER REVIEW # ZNAMENNY COMBINING MARK GORAZDO NIZKO ON RIGHT
U+1CF10; UNDER REVIEW # ZNAMENNY COMBINING MARK NIZKO ON RIGHT
U+1CF11; UNDER REVIEW # ZNAMENNY COMBINING MARK SREDNE ON RIGHT
U+1CF12; UNDER REVIEW # ZNAMENNY COMBINING MARK MALO POVYSHE ON RIGHT
U+1CF13; UNDER REVIEW # ZNAMENNY COMBINING MARK POVYSHE ON RIGHT
U+1CF14; UNDER REVIEW # ZNAMENNY COMBINING MARK VYSOKO ON RIGHT
U+1CF15; UNDER REVIEW # ZNAMENNY COMBINING MARK MALO POVYSHE S KHOKHLOM ON RIGHT
U+1CF16; UNDER REVIEW # ZNAMENNY COMBINING MARK POVYSHE S KHOKHLOM ON RIGHT
U+1CF17; UNDER REVIEW # ZNAMENNY COMBINING MARK VYSOKO S KHOKHLOM ON RIGHT
U+1CF18; UNDER REVIEW # ZNAMENNY COMBINING MARK TSATA S KRYZHEM
U+1CF19; UNDER REVIEW # ZNAMENNY COMBINING MARK MALO POVYSHE S KRYZHEM
U+1CF1A; UNDER REVIEW # ZNAMENNY COMBINING MARK STRANNO MALO POVYSHE
U+1CF1B; UNDER REVIEW # ZNAMENNY COMBINING MARK POVYSHE S KRYZHEM
U+1CF1C; UNDER REVIEW # ZNAMENNY COMBINING MARK POVYSHE STRANNO
U+1CF1D; UNDER REVIEW # ZNAMENNY COMBINING MARK VYSOKO S KRYZHEM
U+1CF1E; UNDER REVIEW # ZNAMENNY COMBINING MARK MALO POVYSHE STRANNO
U+1CF1F; UNDER REVIEW # ZNAMENNY COMBINING MARK GORAZDO VYSOKO
U+1CF20; UNDER REVIEW # ZNAMENNY COMBINING MARK ZELO
U+1CF21; UNDER REVIEW # ZNAMENNY COMBINING MARK ON
U+1CF22; UNDER REVIEW # ZNAMENNY COMBINING MARK RAVNO
U+1CF23; UNDER REVIEW # ZNAMENNY COMBINING MARK TIKHAYA
U+1CF24; UNDER REVIEW # ZNAMENNY COMBINING MARK BORZAYA
U+1CF25; UNDER REVIEW # ZNAMENNY COMBINING MARK UDARKA
U+1CF26; UNDER REVIEW # ZNAMENNY COMBINING MARK PODVERTKA
U+1CF27; UNDER REVIEW # ZNAMENNY COMBINING MARK LOMKA
U+1CF28; UNDER REVIEW # ZNAMENNY COMBINING MARK KUPNAYA
U+1CF29; UNDER REVIEW # ZNAMENNY COMBINING MARK KACHKA
U+1CF2A; UNDER REVIEW # ZNAMENNY COMBINING MARK ZEVOK
U+1CF2B; UNDER REVIEW # ZNAMENNY COMBINING MARK SKOBA
U+1CF2C; UNDER REVIEW # ZNAMENNY COMBINING MARK RAZSEKA
U+1CF2D; UNDER REVIEW # ZNAMENNY COMBINING MARK KRYZH ON LEFT
U+1CF30; UNDER REVIEW # ZNAMENNY COMBINING TONAL RANGE MARK MRACHNO
U+1CF31; UNDER REVIEW # ZNAMENNY COMBINING TONAL RANGE MARK SVETLO
U+1CF32; UNDER REVIEW # ZNAMENNY COMBINING TONAL RANGE MARK TRESVETLO
U+1CF33; UNDER REVIEW # ZNAMENNY COMBINING MARK ZADERZHKA
U+1CF34; UNDER REVIEW # ZNAMENNY COMBINING MARK DEMESTVENNY ZADERZHKA
U+1CF35; UNDER REVIEW # ZNAMENNY COMBINING MARK OTSECHKA
U+1CF36; UNDER REVIEW # ZNAMENNY COMBINING MARK PODCHASHIE
U+1CF37; UNDER REVIEW # ZNAMENNY COMBINING MARK PODCHASHIE WITH VERTICAL STROKE
U+1CF38; UNDER REVIEW # ZNAMENNY COMBINING MARK CHASHKA
U+1CF39; UNDER REVIEW # ZNAMENNY COMBINING MARK CHASHKA POLNAYA
U+1CF3A; UNDER REVIEW # ZNAMENNY COMBINING MARK OBLACHKO
U+1CF3B; UNDER REVIEW # ZNAMENNY COMBINING MARK SOROCHYA NOZHKA
U+1CF3C; UNDER REVIEW # ZNAMENNY COMBINING MARK TOCHKA
U+1CF3D; UNDER REVIEW # ZNAMENNY COMBINING MARK DVOETOCHIE
U+1CF3E; UNDER REVIEW # ZNAMENNY COMBINING ATTACHING VERTICAL OMET
U+1CF3F; UNDER REVIEW # ZNAMENNY COMBINING MARK CURVED OMET
U+1CF40; UNDER REVIEW # ZNAMENNY COMBINING MARK KRYZH
U+1CF41; UNDER REVIEW # ZNAMENNY COMBINING LOWER TONAL RANGE INDICATOR
U+1CF42; UNDER REVIEW # ZNAMENNY PRIZNAK MODIFIER LEVEL-2
U+1CF43; UNDER REVIEW # ZNAMENNY PRIZNAK MODIFIER LEVEL-3
U+1CF44; UNDER REVIEW # ZNAMENNY PRIZNAK MODIFIER DIRECTION FLIP
U+1CF45; UNDER REVIEW # ZNAMENNY PRIZNAK MODIFIER KRYZH
U+1CF46; UNDER REVIEW # ZNAMENNY PRIZNAK MODIFIER ROG
U+1E08F; UNDER REVIEW # COMBINING CYRILLIC SMALL LETTER BYELORUSSIAN-UKRAINIAN I
U+1E2AE; UNDER REVIEW # TOTO SIGN RISING TONE
U+1E4EC; UNDER REVIEW # NAG MUNDARI SIGN MUHOR
U+1E4ED; UNDER REVIEW # NAG MUNDARI SIGN TOYOR
U+1E4EE; UNDER REVIEW # NAG MUNDARI SIGN IKIR
U+1E4EF; UNDER REVIEW # NAG MUNDARI SIGN SUTUH